Page MenuHomePhabricator

Watchlist Expiry: Change "0 days left" to "A few hours left" [small]
Closed, ResolvedPublic

Description

As a Watchlist Expiry user, I want any value less than "1 hour" to display as "a few hours left" (rather than "0 days"), so that I know that the watch is currently in place and will expire soon.

Background: In T253936, we implemented a change so that users would see "7 days left," rather than "6 days left," after watching a page for a week. In the course of the investigation, we found that, if someone is watching a page for less than "1 day left," they will see "0 days left." This is confusing to users, since "0 days" seems to indicate that the watch period is over (even though they will still see the half star, indicating that the watch period is ongoing). For this reason, we will update "0 days left" to say "A few hours left" in all relevant places, such as the drop-down, tooltip, and status indicators.

Acceptance Criteria:

  • If the watch period for a page is less than "1 day left," display the time remaining as "A few hours left"
    • This would apply to drop-downs, the tooltip when hovering over the star or the clock icon, and the information displayed in edit:watchlist
  • Never display "0 days left"

Event Timeline

ifried created this task.Jun 16 2020, 11:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 16 2020, 11:14 PM
ifried renamed this task from Watchlist Expiry: change 0 to 'few hours left' [placeholder] to Watchlist Expiry: change 0 days left to 'few hours left' [placeholder].Jun 17 2020, 6:12 PM
ifried updated the task description. (Show Details)
ifried renamed this task from Watchlist Expiry: change 0 days left to 'few hours left' [placeholder] to Watchlist Expiry: change 0 days left to 'few hours left'.Jun 18 2020, 10:43 PM
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)Jun 18 2020, 10:50 PM
ifried updated the task description. (Show Details)
ifried renamed this task from Watchlist Expiry: change 0 days left to 'few hours left' to Watchlist Expiry: Change "0 days left" to "A few hours left".Jun 18 2020, 10:52 PM
ARamirez_WMF renamed this task from Watchlist Expiry: Change "0 days left" to "A few hours left" to Watchlist Expiry: Change "0 days left" to "A few hours left" [small].Jun 18 2020, 11:52 PM
HMonroy claimed this task.Jul 10 2020, 10:16 PM
HMonroy moved this task from Ready to In Development on the Community-Tech (Kanban-2019-20-Q4) board.
Restricted Application edited projects, added Community-Tech; removed Community-Tech (Kanban-2020-21-Q1). · View Herald TranscriptJul 14 2020, 7:21 PM
ifried updated the task description. (Show Details)Aug 5 2020, 9:04 PM

Change 618834 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/core@master] Update language in watchlist expiry

https://gerrit.wikimedia.org/r/618834

Change 618834 merged by jenkins-bot:
[mediawiki/core@master] Update language in watchlist expiry

https://gerrit.wikimedia.org/r/618834

Change 620969 had a related patch set uploaded (by MusikAnimal; owner: HMonroy):
[mediawiki/core@REL1_35] Update language in watchlist expiry

https://gerrit.wikimedia.org/r/620969

Change 620969 merged by jenkins-bot:
[mediawiki/core@REL1_35] Update language in watchlist expiry

https://gerrit.wikimedia.org/r/620969

dom_walden added a subscriber: dom_walden.
  • If the watch period for a page is less than "1 day left," display the time remaining as "A few hours left"
    • This would apply to drop-downs, the tooltip when hovering over the star or the clock icon, and the information displayed in edit:watchlist

Yep, also in the edit expiry dropdown.

  • Never display "0 days left"

Yep.

ifried closed this task as Resolved.Aug 21 2020, 6:36 PM

I have tested this on testwiki, and it looks good. I selected to watch a page for a period less than 1 day. Then, I saw "A few hours left" when I edited via the legacy source editor, hovered over the star or clock icon, and on the Edit:Watchlist page. See screenshot examples below. I'm marking this work as Done.